## imcode.server
Class Imcms

    java.lang.Object
      imcode.server.Imcms

    public class Imcms

extends java.lang.Object

Nested Class Summary
`static class` `Imcms.StartupException`

Field Summary
`static java.lang.String` `ASCII_ENCODING`
`static java.lang.String` `DEFAULT_ENCODING`
`static java.lang.String` `ISO_8859_1_ENCODING`
`static java.lang.String` `UTF_8_ENCODING`
`static org.springframework.web.context.WebApplicationContext` `webApplicationContext`

Method Summary
`static org.apache.commons.dbcp.BasicDataSource` `createDataSource(java.lang.String jdbcDriver, java.lang.String jdbcUrl, java.lang.String user, java.lang.String password, int maxConnectionCount)`
`static javax.sql.DataSource` `getApiDataSource()`
`static java.io.File` `getPath()`
`static java.util.Properties` `getServerProperties()`
`static ImcmsServices` `getServices()`
`static UserDomainObject` `getUser()`
`static void` `restart()`
`static void` `setPath(java.io.File path)`
`static void` `setUser(UserDomainObject user)`
`static void` `start()`
`static void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASCII_ENCODING

    public static final java.lang.String ASCII_ENCODING

See Also:
  Constant Field Values

### ISO_8859_1_ENCODING

    public static final java.lang.String ISO_8859_1_ENCODING

See Also:
  Constant Field Values

### UTF_8_ENCODING

    public static final java.lang.String UTF_8_ENCODING

See Also:
  Constant Field Values

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### webApplicationContext

    public static org.springframework.web.context.WebApplicationContext webApplicationContext

Method Detail

### getServices

    public static ImcmsServices getServices()

### setPath

    public static void setPath(java.io.File path)

### getPath

    public static java.io.File getPath()

### start

    public static void start()
                      throws Imcms.StartupException

  Throws:
    `Imcms.StartupException`

### getApiDataSource

    public static javax.sql.DataSource getApiDataSource()

### getServerProperties

    public static java.util.Properties getServerProperties()

### restart

    public static void restart()

### stop

    public static void stop()

### createDataSource

    public static org.apache.commons.dbcp.BasicDataSource createDataSource(java.lang.String jdbcDriver,
                                                                           java.lang.String jdbcUrl,
                                                                           java.lang.String user,
                                                                           java.lang.String password,
                                                                           int maxConnectionCount)

### setUser

    public static void setUser(UserDomainObject user)

### getUser

    public static UserDomainObject getUser()